/*
 *  GNOME IrDA Monitor (girda)
 *  Copyright (C) 2001 Ragnar Henriksen <ragnar@juniks.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __GIRDA_APP_H__
#define __GIRDA_APP_H__

//#include <gnome.h>
#include <gtk/gtk.h>
//#include <glade/glade.h>
#include <panel-applet.h>

#ifdef ENABLE_OPENOBEX
#  include <openobex/obex.h>
#endif

#define DEFAULT_ORIENT GNOME_Panel_ORIENT_UP
#define DEFAULT_SIZE PIXEL_SIZE_TINY

typedef enum {
	enabled = 1 << 0,
	searching = 1 << 1,
}irda_status;


typedef struct _girda_applet Irda_applet_t;

enum pixmapname {
	DISABLED,
	ENABLED,
	BLINK_ON,
	BLINK_OFF,
	DISCOVERED,
};

struct _dev_info
{
	gchar *name;
	gint hints[2];
	struct _dev_info *next;
};

struct _girda_applet 
{
	PanelApplet *applet;
	PanelAppletOrient orientation;
	GtkWidget *box;
	GtkTooltips *tips;
	GtkWidget *eventstatus;
	GtkWidget *status_window;
	GtkWidget *info_window;
	GtkWidget *image_left;
	GtkWidget *image_middle;
	GtkWidget *image_right;
	GtkWidget *popup_menu;
	
	/* same count as in enum pixmapname */
	GdkPixbuf *gfx_left[5];
	GdkPixbuf *gfx_middle[5];
	GdkPixbuf *gfx_right[5];

	guint search_timeout;
	guint animate_timeout;
	gchar *detected_devices;
	gint number_detected;
	struct _dev_info *dev_info;

#ifdef ENABLE_OPENOBEX
	obex_t *obex_handle;
#endif
};

extern Irda_applet_t *wdata;



#endif
